<?php
$random=$_POST['aleatorionum'];
 $iduser=$_POST['iduser'];
 $idvisi=$_POST['idvisi'];
 $fechallegada=$_POST['fechallegadav'];
 $tiempopase=$_POST['tiempopase'];
 $addpersonas=$_POST['addpersonas'];
 $name1=$_POST['name1'];
 $tipoidenti1=$_POST['tipoidenti1'];
 $name2=$_POST['name2'];
 $tipoidenti2=$_POST['tipoidenti2'];
 $name3=$_POST['name3'];
 $tipoidenti3=$_POST['tipoidenti3'];
 $name4=$_POST['name4'];
 $tipoidenti4=$_POST['tipoidenti4'];
 
    //include database configuration file
    include_once 'dbpost.php';
    
     $codigoa=$idvisi.$iduser.$random.$iduser;
     
      if($data2['status'] != 'desactivado'){

$fecha_actual = strtotime(date("d-m-Y"));
$fecha_entrada = strtotime($fechallegada);
	
if($fecha_actual > $fecha_entrada)
	{
	    $data['status'] = 'error2';
        $data['result'] = '';
}
else{

    //Sentencia a ingresar los valores
 $q=mysqli_query($conn, "INSERT INTO `codigos-acceso` (`idCODIGOS-ACCESO`,
 `FLEIDO-ACCESO`,`STATUS-ACCESO`,`NUM-ACCESO`,`UPDATE-ACCESO`,`COMENTARIO-ENTRADA`,
 `COMENTARIO-SALIDA`,`tiempo-pase_idTIEMPO-PASE`,`FECHA-LLEGADA`,`FECHA-SALIDA`,
 `ACOMPANA-ACCESO`,`AINMUEBLE`,`NOMBRE1`,`TIPOIDENTI1`,`NOMBRE2`,`TIPOIDENTI2`,`NOMBRE3`,`TIPOIDENTI3`,
 `NOMBRE4`,`TIPOIDENTI4`, `IDVISITASFK` ,`IDEMPFK` ,`IDEMPLEFK`, `IDUSERCAF`,`TIPOCODIGO`,`CREATE-ACCESO`) 
 VALUES (NULL, NULL,'0','$codigoa',NULL, NULL, NULL, '$tiempopase','$fechallegada',NULL ,
 '$addpersonas',NULL, '$name1','$tipoidenti1','$name2','$tipoidenti2','$name3','$tipoidenti3',
 '$name4','$tipoidenti4', '$idvisi',NULL, NULL, '$iduser','VISITA', NOW())");
 
 $w=mysqli_query($conn, "SELECT `idCODIGOS-ACCESO` as acceso, `NUM-ACCESO` as numacceso, `IDVISITASFK` as visita 
 FROM `codigos-acceso` WHERE `IDUSERCAF`= '$iduser' AND `NUM-ACCESO`= '$codigoa'");
 if (mysqli_num_rows($w) > 0) {
   $accData = $w->fetch_assoc();
        $data['status'] = 'ok';
        $data['result'] = $accData;
}else{
		$data['status'] = 'error';
        $data['result'] = '';
}
}
}
else {
    $data['status'] = 'desactivado';
    $data['result'] = '';
}

echo json_encode($data);

?>
 
 
 
 
 